Skip to content

BatchDecrypt

Request

Call this endpoint to decrypt the encrypted data returned by the API.

  1. For merchant self-delivery or third-party logistics (3PL) orders, this endpoint can be called to decrypt the user's phone number and address.
  2. A maximum of 50 data items can be decrypted at once.
  3. The encrypted data generally uses ENC_ as a prefix.

The following data returned by the order details endpoints will be encrypted data (ciphertext data prefixed with ENC_):

  1. customer.​phone.​number
  2. delivery.​deliveryAddress.​district
  3. delivery.​deliveryAddress.​number
  4. delivery.​deliveryAddress.complement
  5. delivery.​deliveryAddress.​formattedAddress
Security
OAuth2(Required scopes: od.all) and Sig
Bodyapplication/json
cipherInfosArray of objectsrequired

List of encrypted data to be decrypted

curl -i -X POST \
  https://open.mykeeta.com/api/open/opendelivery/v1/batchDecrypt \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "cipherInfos": [
      {
        "cipherText": "ENC_#MQesaE=#1#"
      }
    ]
  }'

Responses

Message batch decrypt success.

Bodyapplication/json
plainInfosArray of objectsrequired

List of decrypted data with processing results

Response
{ "plainInfos": [ { … } ] }